<div class="d-flex align-items-center mt-4">
        <div class="title font-bold-16">Workload Management</div>
        <button class="app-btn app-btn-size-136 ml-auto" (click)="openCreateWorkloadModal()">Add Workload</button>
</div>

<div class="d-flex align-items-center justify-content-between headings">
    <label class="font-bold-12 color-grey66">Name</label>
    <label class="font-bold-12 color-grey66">Status</label>
    <label class="font-bold-12 color-grey66">Actions</label>
</div>

<div class="d-flex flex-column">
    <div *ngFor="let workload of workloads" class="d-flex align-items-center justify-content-between workload" (click)="showDetails(workload.id)">
        <div class="d-flex name font-semi-14 color-grey1a">{{workload.name}}</div>
        <div class="d-flex status font-semi-14 color-grey1a">{{workload.status}}</div>
        <div class="d-flex controls font-semi-14 color-grey1a"><i class="icon-data-center"></i></div>
    </div>
</div>


<app-common-modal [id]="newWorkloadModalId" size="small">
    <span headerTitle>Add Workload</span>
    <div class="modal-body" body>
        <div class="font-regu-14 color-grey1a">Workload Name</div>
        <input class="wname" type="text" placeholder="Enter Name" [(ngModel)]="newWorkloadName"/>
        
    </div>
    <div class="control-container d-flex justify-content-center" footer>
        <button class="app-btn app-btn-size-100" (click)="closeCreateWorkloadModal()">Cancel</button>
        <button class="app-btn-filled app-btn-size-100" (click)="saveWorkloadName()"
            [disabled]="!newWorkloadName.trim().length">Proceed</button>
    </div>
</app-common-modal>


<!-- <app-parameter-configuration [allGroups]="[]" [allParameterKeys]="[]" [parameter]="temp"></app-parameter-configuration> -->